import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import React, { useEffect } from 'react';
var PercentChart = function (props) {
    var _a, _b;
    var _c = React.useState(0), percent = _c[0], setPercent = _c[1];
    var getColorByPercent = function (percent) {
        if (percent <= 20)
            return '#ff4d4f';
        if (percent <= 40)
            return '#ffa940';
        if (percent <= 60)
            return '#fadb14';
        if (percent <= 80)
            return '#73d13d';
        return '#52c41a';
    };
    useEffect(function () {
        var _a, _b;
        console.log('props.chartData', props.chartData);
        if (props.chartData && Array.isArray(props.chartData) && props.chartData.length > 0) {
            var value = props.chartData[0][(_b = (_a = props.setup.chart) === null || _a === void 0 ? void 0 : _a.seri) === null || _b === void 0 ? void 0 : _b.field];
            setPercent(Number(value));
        }
    }, [props.chartData, props.subChartData, (_b = (_a = props.setup.chart) === null || _a === void 0 ? void 0 : _a.seri) === null || _b === void 0 ? void 0 : _b.field]);
    return (_jsxs("div", { className: "percentChart", style: {
            width: '100%',
        }, children: [_jsxs("div", { className: "percentChart__text", style: {
                    width: '100%',
                    textAlign: 'center',
                    color: getColorByPercent(percent),
                    fontWeight: 'bold',
                    fontSize: '26px',
                }, children: [percent.toFixed(1), "%"] }), _jsx("div", { className: "percentChart__bar", style: {
                    width: '100%',
                    height: '25px',
                    backgroundColor: '#f0f0f0',
                    borderRadius: '5px',
                    overflow: 'hidden',
                    marginBottom: '10px',
                }, children: _jsx("div", { className: "percentChart__percent", style: {
                        width: "".concat(percent, "%"),
                        height: '100%',
                        backgroundColor: getColorByPercent(percent),
                        transition: 'all 0.3s ease-in-out',
                    } }) })] }));
};
export default PercentChart;
